### Hierarchy

- FileUploader

## Index

### Inputs

- accept
- buttonText
- buttonType
- description
- disabled
- drop
- dropText
- fileUploaderId
- files
- multiple
- size
- skeleton
- title

### Outputs

- filesChange

### Constructors

- constructor

### Properties

- accept
- buttonText
- buttonType
- description
- disabled
- dragOver
- drop
- dropText
- fileInput
- fileUploaderId
- files
- filesChange
- i18n
- multiple
- onChangeCallback
- onTouchedCallback
- size
- skeleton
- title
- fileUploaderCount

### Accessors

- fileList
- value

### Methods

- createFileItem
- isTemplate
- onBlur
- onDragLeave
- onDragOver
- onDrop
- onFilesAdded
- registerOnChange
- registerOnTouched
- removeFile
- writeValue

## Constructors

### constructor

- new FileUploader(i18n: I18n): FileUploader

- - Defined in src/file-uploader/file-uploader.component.ts:168

  #### Parameters

  - ##### i18n: I18n

  #### Returns FileUploader

## Properties

### accept

@Input()
accept: any[] = []

- Defined in src/file-uploader/file-uploader.component.ts:119

### buttonText

@Input()
buttonText: any = this.i18n.get().FILE_UPLOADER.OPEN

- Defined in src/file-uploader/file-uploader.component.ts:103

### buttonType

@Input()
buttonType: "primary" | "secondary" | "tertiary" | "ghost" | "danger" = "primary"

- Defined in src/file-uploader/file-uploader.component.ts:107

### description

@Input()
description: string

- Defined in src/file-uploader/file-uploader.component.ts:115

### disabled

@Input()
disabled: boolean = false

- Defined in src/file-uploader/file-uploader.component.ts:158

### dragOver

dragOver: boolean = false

- Defined in src/file-uploader/file-uploader.component.ts:165

### drop

@Input()
drop: boolean = false

- Defined in src/file-uploader/file-uploader.component.ts:137

### dropText

@Input()
dropText: string | TemplateRef<any>

- Defined in src/file-uploader/file-uploader.component.ts:141

### fileInput

@ViewChild({"selector":"fileInput","opts":"{ static: false }"})
fileInput: any

- Defined in src/file-uploader/file-uploader.component.ts:150

### fileUploaderId

@Input()
fileUploaderId: string = `file-uploader-${FileUploader.fileUploaderCount}`

- Defined in src/file-uploader/file-uploader.component.ts:145

### files

@Input()
files: Set<FileItem> = new Set<FileItem>()

- Defined in src/file-uploader/file-uploader.component.ts:154

### filesChange

@Output()
filesChange: EventEmitter<any> = new EventEmitter<any>()

- Defined in src/file-uploader/file-uploader.component.ts:160

### Protected i18n

i18n: I18n

- Defined in src/file-uploader/file-uploader.component.ts:170

### multiple

@Input()
multiple: boolean = true

- Defined in src/file-uploader/file-uploader.component.ts:125

### Protected onChangeCallback

onChangeCallback: function = noop

- Defined in src/file-uploader/file-uploader.component.ts:168

#### Type declaration

- - (_: Set<FileItem>): void

  - #### Parameters

    - ##### _: Set<FileItem>

    #### Returns void

### Protected onTouchedCallback

onTouchedCallback: function = noop

- Defined in src/file-uploader/file-uploader.component.ts:167

#### Type declaration

- - (): void

  - #### Returns void

### size

@Input()
size: "sm" | "normal"

- Defined in src/file-uploader/file-uploader.component.ts:133

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/file-uploader/file-uploader.component.ts:129

### title

@Input()
title: string

- Defined in src/file-uploader/file-uploader.component.ts:111

### Static fileUploaderCount

fileUploaderCount: number = 0

- Defined in src/file-uploader/file-uploader.component.ts:97

## Accessors

### fileList

fileList:

- Defined in src/file-uploader/file-uploader.component.ts:191

### value

value:

- Defined in src/file-uploader/file-uploader.component.ts:177
- Defined in src/file-uploader/file-uploader.component.ts:180

## Methods

### createFileItem

- createFileItem(file: any): FileItem

- - Defined in src/file-uploader/file-uploader.component.ts:204

  #### Parameters

  - ##### file: any

  #### Returns FileItem

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/file-uploader/file-uploader.component.ts:274

  #### Parameters

  - ##### value: any

  #### Returns boolean

### onBlur

- onBlur(): void

- - Defined in src/file-uploader/file-uploader.component.ts:187

  #### Returns void

### onDragLeave

- onDragLeave(event: any): void

- - Defined in src/file-uploader/file-uploader.component.ts:233

  #### Parameters

  - ##### event: any

  #### Returns void

### onDragOver

- onDragOver(event: any): void

- - Defined in src/file-uploader/file-uploader.component.ts:227

  #### Parameters

  - ##### event: any

  #### Returns void

### onDrop

- onDrop(event: any): void

- - Defined in src/file-uploader/file-uploader.component.ts:239

  #### Parameters

  - ##### event: any

  #### Returns void

### onFilesAdded

- onFilesAdded(): void

- - Defined in src/file-uploader/file-uploader.component.ts:214

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/file-uploader/file-uploader.component.ts:287

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/file-uploader/file-uploader.component.ts:281

  #### Parameters

  - ##### fn: any

  #### Returns void

### removeFile

- removeFile(fileItem: any): void

- - Defined in src/file-uploader/file-uploader.component.ts:262

  #### Parameters

  - ##### fileItem: any

  #### Returns void

### writeValue

- writeValue(value: Set<FileItem>): void

- - Defined in src/file-uploader/file-uploader.component.ts:198

  #### Parameters

  - ##### value: Set<FileItem>

  #### Returns void

Generated using TypeDoc